Bug 329136 - Quick Tiling shortcuts always toggle tiling, regardless whether the current tiling state matches the shortcut
Summary: Quick Tiling shortcuts always toggle tiling, regardless whether the current t...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: core (show other bugs)
Version: 4.11.4
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/114...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-22 21:03 UTC by Thomas Lübking
Modified: 2014-01-29 09:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.6
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lübking 2013-12-22 21:03:49 UTC
eg. when a window is tiled to the left, the shortcut to tile it to the right will untile the window and only on the second invocation will tile the untiled window to the right.

Reproducible: Always
Comment 1 Thomas Lübking 2013-12-23 12:16:36 UTC
have patch, but need to rebase ;-)
Comment 2 Thomas Lübking 2014-01-14 21:51:15 UTC
Git commit d46ca4837da88f6baee16cd38b6be8f7802fac6f by Thomas Lübking.
Committed on 23/12/2013 at 01:28.
Pushed by luebking into branch 'KDE/4.11'.

fix shortcut driven quicktiling

1. swapping direction would rather toggle tiling
2. the next screen was calculated wrongly (found outmost)
3. the electrictborder geometry was not updated when swapping the mode on screen changes
Related: bug 222921
FIXED-IN: 4.11.6
REVIEW: 114648

M  +46   -44   kwin/geometry.cpp

http://commits.kde.org/kde-workspace/d46ca4837da88f6baee16cd38b6be8f7802fac6f